# This script backs-up config.php, the database, moodle (just to keep the current version), and moodledata
# The four files will all contain the word "NOW" in them.
# Before using, modify the appropriate lines for your own moodle.
# Rick Jerz
# Last modified: 08/16/2017.

clear
echo "Backup Script"
echo "Backup (dump) the MySQL database."
mysqldump -urjerzcom_mdl -p --opt -rNOW-moodledb.sql rjerzcom_moodle3

date

echo "Backup (TAR) the moodledata folder."
tar cfz NOW-moodledata3.tgz ~/moodledata3/


echo "Backup moodle."
tar cfz NOW-moodle.gz ~/public_html/moodle

echo "Backup config.php."
cp ~/public_html/moodle/config.php NOW-config.php

echo "Backup Complete"
ls -al NOW*

date
